import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;
}
// 添加
export const httpAdd = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}orderpayadd`, { data });
};

// 列表
export const httpList = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}orderinvlist`, {
    data: {
      ...data,
      status: "4",
    }
  });
};

export const httpInvList = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}orderinvlist`, {
    data
  });
};
