import { VNode } from "vue";
export const basicDescriptionsProps = {
  title: {
    type: String
  },
  colNumber: {
    type: Number,
    default: 24
  },
  columns: {
    type: Array as PropType<Array<DescriptionColumn>>
  },
  data: {
    type: Object as PropType<any>
  },
  labelWidth: {
    type: String
  },
  show: {
    type: Boolean,
    default: true
  }
};

export type DescriptionColumn = {
  field: string;
  label: string;
  span?: number;
  labelWidth?: string;
  width?: string;
  render?: (data: any, context: any) => VNode;
};

export type DescriptionColumns = Array<DescriptionColumn>;
