const statusList = [
  { value: "1", label: "启用", type: "primary" },
  { value: "0", label: "禁用", type: "warning" }
];

const menuTypeList = [
  { value: "1", label: "菜单", type: "primary" },
  { value: "2", label: "页面", type: "success" }
  // { value: "3", label: "按钮", type: "warning" }
];

const menuPrivateList = [
  { value: "1", label: "显示", type: "primary" },
  { value: "0", label: "隐藏", type: "warning" }
];

const levelList = [
  { value: "2", label: "业务公司", type: "primary" },
  { value: "3", label: "供应商", type: "warning" }
];

export const checkTypeOptions = [
  { value: "0", label: "未分配查询" },
  { value: "1", label: "金税接口" },
  { value: "2", label: "华为云" }
];

const cg_order_type_options = [
  { value: "1", label: "库存商品" },
  { value: "2", label: "非库存商品" },
  { value: "3", label: "反馈商品" },
  { value: "4", label: "报备商品" }
];

const xs_order_type_options = [
  { value: "1", label: "库存商品" },
  { value: "2", label: "非库存商品" },
  { value: "3", label: "反馈商品" },
  { value: "4", label: "报备商品" }
];

const cg_order_source_options = [
  { value: "0", label: "备库单" },
  { value: "1", label: "直接下单" },
  { value: "2", label: "竞价转单" },
  { value: "3", label: "项目转单" },
  { value: "4", label: "平台导入" },
  { value: "5", label: "有赞平台" },
  { value: "6", label: "售后补换货" },
  { value: "7", label: "报备转单" },
  { value: "8", label: "支付渠道" },
  { value: "9", label: "采销录单" },
  { value: "10", label: "结算录单" }
];

const xs_order_source_options = [
  // { value: "0", label: "备库单" },
  { value: "1", label: "直接下单" },
  { value: "2", label: "竞价转单" },
  { value: "3", label: "项目转单" },
  { value: "4", label: "平台导入" },
  { value: "5", label: "有赞平台" },
  { value: "6", label: "售后补换货" },
  { value: "7", label: "报备转单" },
  { value: "8", label: "支付渠道" },
  { value: "9", label: "采销录单" },
  { value: "10", label: "结算录单" }
];

export const inv_type_ls_cg = [
  { label: "增值税专用发票", value: "special" },
  { label: "增值税普通发票", value: "normal" },
  { label: "增值税普通发票（卷式）", value: "roll" },
  { label: "增值税电子专用发票", value: "special_electronic" },
  { label: "增值税电子普通发票", value: "electronic" },
  { label: "增值税电子普通发票（通行费）", value: "toll" }
];

/**
 * @value 金税发票类型
 * @hwy_value 华为云发票类型(扫码枪一致)
 */
const inv_type_list = [
  { label: "增值税专用发票", value: "04", hwy_value: "01" },
  { label: "增值税普通发票", value: "07", hwy_value: "04" },
  { label: "增值税电子专用发票", value: "27", hwy_value: "20" },
  { label: "增值税电子普通发票", value: "26", hwy_value: "10" }
];

/**
 * 发票类型
 * @param scanValue 扫描枪对应的发票类型
 */
export const invoiceTypeList = [
  { label: "增值税专用发票", value: "special", scanValue: "01" },
  { label: "增值税普通发票", value: "normal", scanValue: "04" },
  { label: "增值税电子专用发票", value: "special_electronic", scanValue: "20" },
  { label: "增值税电子普通发票", value: "electronic", scanValue: "10" },
  { label: "增值税电子普通发票（通行费）", value: "toll", scanValue: "" },
  { label: "增值税普通发票（卷式）", value: "roll", scanValue: "" },
  // eslint-disable-next-line prettier/prettier
  { label: "电子发票（增值税专用发票）", value: "fully_digitalized_special_electronic", scanValue: "31" },
  // eslint-disable-next-line prettier/prettier
  { label: "电子发票（增值税普通发票）", value: "fully_digitalized_normal_electronic", scanValue: "32" }
];

/**
 * 采购发票类型
 * @param scanValue 扫描枪对应的发票类型
 */
export const cg_inv_type_list = [
  { label: "增值税专用发票", value: "special", scanValue: "01" },
  { label: "增值税普通发票", value: "normal", scanValue: "04" },
  { label: "增值税电子专用发票", value: "special_electronic", scanValue: "20" },
  { label: "增值税电子普通发票", value: "electronic", scanValue: "10" },
  // eslint-disable-next-line prettier/prettier
  { label: "电子发票（增值税专用发票）", value: "fully_digitalized_special_electronic", scanValue: "31" },
  // eslint-disable-next-line prettier/prettier
  { label: "电子发票（增值税普通发票）", value: "fully_digitalized_normal_electronic", scanValue: "32" }
];

/**
 * 销售发票类型
 * @param scanValue 扫描枪对应的发票类型
 */
export const xs_inv_type_list = [
  { label: "增值税专用发票", value: "special", scanValue: "01" },
  { label: "增值税普通发票", value: "normal", scanValue: "04" },
  { label: "增值税电子专用发票", value: "special_electronic", scanValue: "20" },
  { label: "增值税电子普通发票", value: "electronic", scanValue: "10" }
];

const send_status_list = [
  { value: "1", label: "未发货", type: "warning" },
  { value: "2", label: "部分已发", type: "primary" },
  { value: "3", label: "全部已发", type: "success" },
  { value: "4", label: "发货完成", type: "warning" }
];

const inv_status_list = [
  { value: "1", label: "未开票", type: "warning" },
  { value: "2", label: "部分开票", type: "primary" },
  { value: "3", label: "全部开票", type: "success" }
];

export const sendStatusOptions = [
  { value: "0", label: "待与供应商确认" },
  { value: "1", label: "待入库" },
  { value: "2", label: "部分入库" },
  { value: "3", label: "入库完成" },
  { value: "4", label: "已取消订单" }
];

export const cgdStatusOptions = [
  { value: "0", label: "未对账" },
  { value: "1", label: "已对账" }
];

const pay_status_list = [
  { value: "1", label: "未认款", type: "warning" },
  { value: "2", label: "部分认款", type: "primary" },
  { value: "3", label: "全部认款", type: "success" }
];

const cgd_type_list = [
  { value: "1", label: "库存" },
  { value: "2", label: "非库存品" },
  { value: "3", label: "咨询" }
];

const cgd_send_type = [
  { value: "1", label: "公司自提" },
  { value: "2", label: "供应商包邮" }
];

const seller_check_type = [
  { value: "0", type: "info", label: "待验证" },
  { value: "1", type: "success", label: "业务与发票一致" },
  { value: "2", type: "error", label: "业务与发票不一致" }
];

const buyer_check_type = [
  { value: "0", type: "info", label: "待验证" },
  { value: "1", type: "success", label: "业务与发票一致" },
  { value: "2", type: "error", label: "业务与发票不一致" }
];

// 订单对账审核状态
export const orderRecordStatusOptions = [
  { label: "买方公司业务审核", value: "1" },
  { label: "对账成功", value: "2" },
  { label: "对账驳回", value: "3" },
  { label: "已撤销对账", value: "4" }
];

// 付款状态
export const purchPayStatusOptions = [
  { value: "1", label: "买方公司业务审核" },
  { value: "2", label: "买方公司财务审核" },
  { value: "3", label: "待付款回执" },
  { value: "4", label: "付款成功" },
  { value: "5", label: "付款已退" },
  { value: "6", label: "买方公司业务驳回" },
  { value: "7", label: "买方公司财务驳回" }
];

// 回票状态
export const ticketReturnStatusOptions = [
  { label: "图片识别中", value: "0" },
  { label: "待系统验证", value: "1" },
  { label: "买方公司业务审核", value: "2" },
  { label: "待买方公司认证", value: "3" },
  { label: "认证成功", value: "4" },
  { label: "验证失败", value: "5" },
  { label: "买方审核驳回", value: "6" },
  { label: "认证失败", value: "7" },
  { label: "回票流程终止", value: "8" },
  { label: "验证超过次数", value: "9" },
  { label: "回票已退", value: "10" }
];

// 付款解除状态
export const purchPayReliveStatusOptions = [
  { value: "1", label: "买方公司财务审核" },
  { value: "2", label: "财务审核通过" },
  { value: "3", label: "财务审核驳回" }
];

// 回票解除状态
export const ticketReturnReliveStatusOptions = [
  { value: "1", label: "买方公司财务审核" },
  { value: "2", label: "财务审核通过" },
  { value: "3", label: "财务审核驳回" }
];

// 标签状态
export const tagOptions = [
  { value: "1", label: "回票标签" },
  { value: "2", label: "付款标签" },
  { value: "3", label: "付款回票最少有一个" },
  { value: "4", label: "付款回票都有" }
];

//付款状态
export const payStatusOptions = [
  { value: "1", label: "未付款" },
  { value: "2", label: "部分付款" },
  { value: "3", label: "已付款" }
];

//销售发票开票状态
export const invoiceApplyStatusOptions = [
  // { value: "0", label: "待财务开票/待金税开票", type: "" },
  { value: "1", label: "待财务审核", type: "warning" },
  { value: "2", label: "待上传发票", type: "warning" },
  { value: "3", label: "开票验票中", type: "warning" },
  { value: "4", label: "开票完成", type: "warning" },
  { value: "5", label: "开票异常 ", type: "warning" },
  { value: "6", label: "已退票或已作废", type: "warning" },
  { value: "7", label: "已取消申请", type: "warning" },
  { value: "8", label: "财务驳回", type: "warning" },
  { value: "9", label: "验票失败", type: "warning" }
];

// 资金认领状态
export const capitalClaimStatusOptions = [
  { label: "未认领", value: "1" },
  { label: "部分认领", value: "2" },
  { label: "已认领", value: "3" }
];

//资金状态
export const capitalStatusOptions = [
  { value: "1", label: "待审批" },
  { value: "2", label: "审批通过" },
  { value: "3", label: "审批驳回" },
  { value: "4", label: "已解除认领" },
  { value: "5", label: "已取消认领" }
];

export const hasAccountOptions = [
  { value: "0", type: "", label: "未开通" },
  { value: "1", type: "success", label: "已开通" }
];

export const useTypeOptions = [
  { value: "1", label: "ToB" },
  { value: "2", label: "ToC" }
];

export {
  statusList,
  menuTypeList,
  menuPrivateList,
  levelList,
  cg_order_type_options,
  xs_order_type_options,
  cg_order_source_options,
  xs_order_source_options,
  inv_type_list,
  send_status_list,
  inv_status_list,
  pay_status_list,
  cgd_type_list,
  cgd_send_type,
  seller_check_type,
  buyer_check_type
};
