import { ModalConfig } from "../../../../components/PageModal/src/types";

const modalConfig: ModalConfig = {
  title: "业务公司发票",
  colLayout: { span: 24 },
  itemStyle: {},
  formItems: [
    {
      field: "invoice_title",
      type: "input",
      label: "发票抬头名称",
      labelWidth: "120px",
      placeholder: "发票抬头名称",
      rules: [
        { required: true, trigger: "change", message: "请输入发票抬头名称" }
      ]
    },
    {
      field: "invoice_mobile",
      type: "input",
      label: "企业联系方式",
      labelWidth: "120px",
      placeholder: "企业联系方式",
      rules: [
        { required: true, trigger: "change", message: "请输入企业联系方式" }
      ]
    },
    {
      field: "invoice_people",
      type: "input",
      labelWidth: "120px",
      label: "法人",
      placeholder: "法人",
      rules: [{ required: true, trigger: "change", message: "请输入法人" }]
    },
    {
      field: "invoice_addr",
      type: "input",
      labelWidth: "120px",
      label: "企业注册地址",
      placeholder: "企业注册地址",
      rules: [
        { required: true, trigger: "change", message: "请输入企业注册地址" }
      ]
    },
    {
      field: "invoice_code",
      type: "input",
      labelWidth: "120px",
      label: "发票编码",
      placeholder: "发票编码",
      rules: [{ required: true, trigger: "change", message: "请输入发票编码" }]
    },
    {
      field: "invoice_bank",
      type: "input",
      labelWidth: "120px",
      label: "企业开户银行",
      placeholder: "企业开户银行",
      rules: [
        { required: true, trigger: "change", message: "请输入企业开户银行" }
      ]
    },
    {
      field: "invoice_bankNo",
      type: "input",
      labelWidth: "120px",
      label: "银行账户",
      placeholder: "银行账户",
      rules: [{ required: true, trigger: "change", message: "请输入银行账户" }]
    }
  ]
};

export default modalConfig;
