import { FormConfig } from "/@/components/PageSearch";
import { CAPITAL_STATUS } from "/@/utils/details/tragelog";
import { useTypeOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "资金认领起始时间",
        endPlaceholder: "资金认领结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "资金认领状态",
      options: CAPITAL_STATUS
    },
    {
      field: "platform_type",
      type: "select",
      placeholder: "平台类型",
      options: useTypeOptions
    },
    {
      field: "logNo",
      type: "input",
      placeholder: "资金认领编码"
    },
    {
      field: "tradNo",
      type: "input",
      placeholder: "资金编码"
    },
    {
      field: "orderCode",
      type: "input",
      placeholder: "销售订单编码"
    },
    {
      field: "cxCode",
      type: "input",
      placeholder: "销售主单号"
    }
  ]
};

export default searchFormConfig;
