import { FormConfig } from "/@/components/PageSearch";
import {
  xs_inv_type_list,
  useTypeOptions,
  invoiceTypeList
} from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      span: 7,
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "申请开始时间",
        endPlaceholder: "申请结束时间"
      }
    },
    {
      field: "inv_type",
      type: "select",
      placeholder: "发票类型",
      span: 5,
      options: xs_inv_type_list
    },
    {
      field: "platform_type",
      type: "select",
      placeholder: "平台类型",
      span: 5,
      options: useTypeOptions
    },
    {
      field: "invNo",
      type: "input",
      span: 7,
      placeholder: "发票申请编码"
    },
    {
      field: "c",
      type: "range",
      span: 7,
      otherOptions: {
        startProp: "inv_lower",
        endProp: "inv_uper",
        startPlaceholder: "申请额度上限",
        endPlaceholder: "申请额度下限"
      }
    }
  ]
};

export default searchFormConfig;
