import { FormConfig } from "/@/components/PageSearch";
import { INV_OPEN_STATUS } from "/@/utils/details/inv-open";
import { xs_inv_type_list } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  colLayout: { span: 8 },
  formItems: [
    {
      field: "invNo",
      type: "input",
      span: 4,
      placeholder: "发票申请编码"
    },
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      span: 4,
      options: INV_OPEN_STATUS
    },
    {
      field: "inv_type",
      type: "select",
      span: 4,
      placeholder: "发票类型",
      options: xs_inv_type_list
    },
    {
      field: "timer",
      type: "date_picker",
      span: 4,
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "申请开始时间",
        endPlaceholder: "申请结束时间"
      }
    }
  ]
};

export default searchFormConfig;
