import { ContentConfig } from "/@/components/PageContent";
import {
  httpList,
  httpAdd,
  httpDelete,
  httpUpdate
} from "/@/api/parameter/invoiceheader";

const columns = [
  {
    type: "selection",
    width: 40,
    align: "center",
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    label: "企业纳税识别号",
    prop: "invoice_code",
    width: 150
  },
  {
    label: "发票抬头",
    prop: "invoice_title",
    width: 160
  },

  {
    label: "对公银行",
    prop: "invoice_bank",
    "min-width": 120
  },
  {
    label: "对公银行账户",
    prop: "invoice_bankNo",
    "min-width": 120
  },
  {
    label: "企业注册地址",
    prop: "invoice_addr",
    "min-width": 120
  },
  {
    label: "企业联系方式",
    prop: "invoice_mobile",
    "min-width": 120
  },
  {
    label: "创建人",
    prop: "apply_name",
    width: 70
  },
  {
    label: "创建时间",
    prop: "addtime",
    width: 145
  },
  {
    label: "操作",
    fixed: "right",
    width: 80,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "企业客户发票",
  columns,
  apis: {
    httpList,
    httpAdd,
    // httpDelete,
    httpUpdate
  }
};

export default contentConfig;
