import { ModalConfig } from "../../../../components/PageModal/src/types";
import { actionTypes, operactionTypes } from "./configs";

const modalConfig: ModalConfig = {
  title: "流程",
  itemStyle: {},
  colLayout: { span: 24 },
  formItems: [
    {
      field: "action_type",
      type: "select",
      label: "节点类型",
      options: actionTypes,
      labelWidth: "120px",
      rules: [
        {
          required: true,
          message: "节点类型为必填项",
          trigger: "change"
        }
      ]
    },
    {
      field: "operation_type",
      type: "select",
      labelWidth: "120px",
      label: "操作类型",
      options: operactionTypes,
      rules: [
        {
          required: true,
          message: "操作类型称为必填项",
          trigger: "change"
        }
      ]
    },
    {
      field: "status_name",
      type: "input",
      labelWidth: "120px",
      label: "节点名称",
      rules: [
        {
          required: true,
          message: "节点名称为必填项",
          trigger: "change"
        }
      ]
    },
    {
      field: "order_process",
      type: "input",
      labelWidth: "120px",
      label: "节点值",
      rules: [
        {
          required: true,
          message: "节点值为必填项",
          trigger: "change"
        }
      ]
    }
  ]
};

export default modalConfig;
