import { FormConfig } from "/@/components/PageSearch";
import { statusOptions, tagTypeOptions } from "./_options";
const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "startTime",
        endProp: "endTime",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期"
      }
    },
    {
      field: "supplierNo",
      type: "supplier-query"
    },

    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      span: 4,
      options: statusOptions
    },
    {
      field: "status",
      type: "select",
      placeholder: "标签状态",
      span: 4,
      options: tagTypeOptions
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          // { value: "supplierNo", label: "卖方公司编码" },
          // { value: "supplierName", label: "卖方公司名称" },
          { value: "payNo", label: "对账编码" }
        ]
      }
    }
  ]
};

export default searchFormConfig;
