import { invStatusOptions, payStatusOptions, tagTypeOptions } from "./_options";

import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "supplierNo",
      type: "input",
      placeholder: "卖方公司编码"
    },
    {
      field: "payNo",
      type: "input",
      placeholder: "对账编码"
    },
    {
      field: "tag_id",
      type: "select",
      placeholder: "标签类型",
      options: tagTypeOptions
    },
    {
      field: "inv_status",
      type: "select",
      placeholder: "回票状态",
      options: invStatusOptions
    },
    {
      field: "pay_status",
      type: "select",
      placeholder: "付款状态",
      options: payStatusOptions
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "startTime",
        endProp: "endTime",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期"
      }
    }
  ]
};

export default searchFormConfig;
