import { ModalConfig } from "/@/components/PageModal/src/types";
import { type_options } from "./_options";
const modalConfig: ModalConfig = {
  title: "报表申请",
  colLayout: { span: 24 },
  itemStyle: {},
  formItems: [
    {
      field: "id",
      type: "select",
      label: "报表",
      labelWidth: "120px",
      placeholder: "请选择报表",
      rules: [{ required: true, trigger: "change", message: "请选择报表" }],
      options: [],
      otherOptions: {
        disabled: true
      }
    },
    {
      field: "type",
      type: "select",
      label: "执行类型",
      labelWidth: "120px",
      placeholder: "执行类型",
      rules: [{ required: true, trigger: "change", message: "请选择执行类型" }],
      options: type_options
    },
    {
      field: "create_timer",
      type: "date_picker",
      label: "报表时间",
      labelWidth: "120px",
      placeholder: "请选择报表时间",
      rules: [{ required: true, trigger: "change", message: "请选择报表时间" }],
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "起始时间",
        endPlaceholder: "结束时间"
      }
    }
  ]
};

export default modalConfig;
