import { FormConfig } from "/@/components/PageSearch";
import { orderRecordStatusOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "startTime",
        endProp: "endTime",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期"
      }
    },
    {
      field: "companyNo",
      type: "business-query"
    },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: orderRecordStatusOptions
    },

    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [{ value: "payNo", label: "对账编码" }]
      }
    }
  ]
};

export default searchFormConfig;
